> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List inventory adjustments (audit trail)

> Inventory adjustments (audit trail)

### Path parameters

<ParamField path="tenant_id" type="string" required>
  Tenant identifier
</ParamField>

### Query parameters

<ParamField query="page" type="integer (int32)">
  Page number (1-indexed)
</ParamField>

<ParamField query="page_size" type="integer (int32)">
  Items per page (max 100)
</ParamField>

<ParamField query="sku" type="string">
  Filter by SKU
</ParamField>

<ParamField query="location" type="string">
  Filter by location
</ParamField>

<ParamField query="source" type="string">
  Filter by source system
</ParamField>

<ParamField query="reason" type="string">
  Filter by adjustment reason
</ParamField>

<ParamField query="reference_type" type="string">
  Filter by reference type (order, webhook, sync\_job, reservation)
</ParamField>

<ParamField query="reference_id" type="string">
  Filter by reference id
</ParamField>

<ParamField query="since" type="string">
  Filter by created\_at (RFC3339 timestamp)
</ParamField>

### Response

`object`

<ResponseField name="items" type="object[]" required>
  The items on this page

  <Expandable title="items">
    <ResponseField name="id" type="string (uuid)" required />

    <ResponseField name="sku" type="string" required />

    <ResponseField name="location" type="string" required />

    <ResponseField name="source" type="string" required />

    <ResponseField name="quantityBefore" type="integer" />

    <ResponseField name="quantityAfter" type="integer" />

    <ResponseField name="quantityDelta" type="integer" required />

    <ResponseField name="reason" type="string" required />

    <ResponseField name="reasonDetails" type="string" />

    <ResponseField name="referenceType" type="string" />

    <ResponseField name="referenceId" type="string" />

    <ResponseField name="externalId" type="string" />

    <ResponseField name="metadata" type="object" required />

    <ResponseField name="createdAt" type="string (date-time)" required />

    <ResponseField name="createdBy" type="string" required />

    <ResponseField name="syncedToShopify" type="boolean" required />

    <ResponseField name="syncedToNetsuite" type="boolean" required />

    <ResponseField name="syncError" type="string" />
  </Expandable>
</ResponseField>

<ResponseField name="pagination" type="object" required>
  Pagination metadata

  <Expandable title="pagination">
    <ResponseField name="page" type="integer" required>
      Current page number
    </ResponseField>

    <ResponseField name="pageSize" type="integer" required>
      Number of items per page
    </ResponseField>

    <ResponseField name="totalItems" type="integer">
      Total number of items across all pages
    </ResponseField>

    <ResponseField name="totalPages" type="integer">
      Total number of pages
    </ResponseField>

    <ResponseField name="hasNext" type="boolean" required>
      Whether there is a next page
    </ResponseField>

    <ResponseField name="hasPrevious" type="boolean" required>
      Whether there is a previous page
    </ResponseField>
  </Expandable>
</ResponseField>

### Status codes

| Code  | Meaning                             |
| ----- | ----------------------------------- |
| `200` | Inventory adjustments (audit trail) |
| `401` | Unauthorized                        |
| `424` | Database not configured             |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/inventory/adjustments' \
    --header 'x-stateset-api-key: YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "items": [
      {
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "sku": "SKU-TENT-2P-GRN",
        "location": "string",
        "source": "string",
        "quantityBefore": 1,
        "quantityAfter": 1,
        "quantityDelta": 1,
        "reason": "Two-person tent, green — replacement for damaged pole set.",
        "reasonDetails": "string",
        "referenceType": "string",
        "referenceId": "string",
        "externalId": "string",
        "metadata": {},
        "createdAt": "2026-08-31T14:22:05Z",
        "createdBy": "string",
        "syncedToShopify": true,
        "syncedToNetsuite": true,
        "syncError": "string"
      }
    ],
    "pagination": {
      "page": 1,
      "pageSize": 20,
      "totalItems": 1,
      "totalPages": 1,
      "hasNext": true,
      "hasPrevious": true
    }
  }
  ```
</ResponseExample>
